## osinfo_datamap

osinfo_datamap

## Functions

OsinfoDatamap * | osinfo_datamap_new ()
void | osinfo_datamap_insert ()
const gchar * | osinfo_datamap_lookup ()
const gchar * | osinfo_datamap_reverse_lookup ()

## Types and Values

#define | OSINFO_TYPE_DATAMAP

## Description

OsinfoDatamap is an object for representing OS datamaps. It is to translate generic osinfo values to OS specific data.

## Functions

### osinfo_datamap_new ()

    OsinfoDatamap *
    osinfo_datamap_new (const gchar *id);

Construct a new datamapa that is initially empty.

#### Parameters

id | the unique identifier |

#### Returns

an empty datamap.

[transfer full]

Since: 0.2.3

### osinfo_datamap_insert ()

    void
    osinfo_datamap_insert (OsinfoDatamap *map,
                           const gchar *inval,
                           const gchar *outval);

Adds the input value and the output value associated to it to the `map` .

#### Parameters

map | the OS datamap |
inval | the input value |
outval | the output value |

Since: 0.2.3

### osinfo_datamap_lookup ()

    const gchar *
    osinfo_datamap_lookup (OsinfoDatamap *map,
                           const gchar *inval);

Returns the output value with which `inval` is associated to.

#### Parameters

map | the OS datamap |
inval | the input value |

Since: 0.2.3

### osinfo_datamap_reverse_lookup ()

    const gchar *
    osinfo_datamap_reverse_lookup (OsinfoDatamap *map,
                                   const gchar *outval);

Returns the input value with which `outval` is associated to.

#### Parameters

map | the OS datamap |
outval | the output value |

Since: 0.2.3

## Types and Values

### OSINFO_TYPE_DATAMAP

    #define OSINFO_TYPE_DATAMAP (osinfo_datamap_get_type ())

## See Also

OsinfoDatamap